View Issue Details

IDProjectCategoryView StatusLast Update
0001698Ham Radio DeluxeBugpublic2017-05-21 23:44
Reporteruser36 
Assigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.610 
Summary0001698: Logbook Time Zone Issue - problem with entering past logs: local to UTC conversion with DST
DescriptionRefer to Mantis Report 0001618.

Per customer:
"This has been only PARTIALLY fixed in the latest update (8/10).

It is no longer mangling the times, but the calculation between local and UTC is still incorrect in some instances.

As I previously reported, the logbook is using the CURRENT date to determine whether or not DST is in effect or not. It should be using the date of the log entry. I just tried entering a log entry for this past January (DST is not in effect in January), but the UTC time it calculated was only +4 hours, when it should have been +5 hours.

This will be much more of a problem when the actual date is near the crossover to/from DST. If someone is entering logs after the fact (i.e. taking paper logs from a prior weekend outing and entering them into HRD Logbook), and the DST start/end happened between the QSO and when they're being entered into HRD Logbook, if they're entered as local time, their UTC times will be wrong."
Steps To Reproduce- Ensure that current system time is in "DST"
- Launch Logbook
- In Tools->Configure->Appearance, set the Times -> Format option to "Local"
- Refresh the display
- Open ALE window and enter a callsign, then change the date to a period when DST is not in effect
- Save the log entry
- Observe the local time shown
- Observe the time difference between the time entered and the time displayed is one hour off from the correct UTC conversion
Additional InformationFrank Domina, N9MXI Ref OS Ticket # 382261
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing

Relationships

Activities

WA9PIE

2016-12-03 16:42

administrator   ~0003040

This is very old and I think it's invalid. If we receive another trouble ticket on this, we'll open this back up.

Issue History

Date Modified Username Field Change
2014-08-15 12:36 user36 New Issue
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-22 23:42 WA9PIE Fix Build TBD => (select)
2015-09-22 23:42 WA9PIE Summary Bug: Logbook Time Zone Issue - problem with entering past logs: local to UTC conversion with DST => Logbook Time Zone Issue - problem with entering past logs: local to UTC conversion with DST
2016-12-03 16:42 WA9PIE Reported in Build (ie. 377) 6.2.6.284 => 284
2016-12-03 16:42 WA9PIE Fixed in Build (ie. 377) (select) => 610
2016-12-03 16:42 WA9PIE Note Added: 0003040
2016-12-03 16:42 WA9PIE Status new => closed
2016-12-03 16:42 WA9PIE Assigned To => WA9PIE
2016-12-03 16:42 WA9PIE Resolution open => fixed
2017-03-08 19:03 WA9PIE Project 1 - Backlog => Ham Radio Deluxe
2017-05-21 23:02 WA9PIE Fixed in Version => 6.3.0.610
2017-05-21 23:44 WA9PIE Fixed in Build (ie. 377) 610 =>